package com.isu.gaswellwatch.enums;


public enum LogResult {

    /**
     * 0:登陆日志
     */
    SUCCESS(0, "成功"),

    /**
     * 1:新增操作
     */
    ERROR(1, "失败");



    private Integer val;

    private String desc;

    public Integer getVal() {
        return val;
    }

    public void setVal(Integer val) {
        this.val = val;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    LogResult(Integer val, String desc) {
        this.val = val;
        this.desc = desc;
    }

    public static boolean contains(Integer i) {
        LogResult[] values = values();
        for (LogResult value : values) {
            if (value.val.equals(i)) {
                return true;
            }
        }
        return false;
    }

    public static String getDescription(Integer i) {
        if (contains(i)) {
            LogResult[] values = values();
            for (LogResult value : values) {
                if (value.val.equals(i)) {
                    return value.getDesc();
                }
            }
        }
        return null;
    }
}